{% extends "shuup/front/base.jinja" %}

{% block title %}{% trans %}Thank you for your order!{% endtrans %}{% endblock %}
{% block content_title %}{% trans name=order.billing_address.name %}Thank you for your order!{% endtrans %}{% endblock %}

{% block container_start %}<div class="container">{% endblock %}

{% macro print_grouped_order_detail(order, show_attachments=False) %}
    {{ order_macros.render_lines_information(order) }}
    {{ order_macros.render_tax_information(order) }}
    {% if show_attachments %}
        {{ order_macros.render_ordered_files(order) }}
    {% endif %}
    {{ order_macros.render_company_information(order) }}
    {{ order_macros.render_service_information(order) }}
{% endmacro %}

{% block content %}
    <div class="alert alert-success">
        <i class="fa fa-check fa-lg mr-2"></i> {% trans %}Your order has been received. You can see the details of your order below.{% endtrans %}
    </div>

    <hr class="my-6">

    {% if user.id and activation_form %}
        <form role="form" method="post" action="{{ url("user_activation", pk=user.id) }}">
            <legend>{% trans %}User account activation{% endtrans %}</legend>
            {% csrf_token %}
            <p>{% trans email=user.email %}If you want to be able to see your order history, please create a password for your account: {% endtrans %}<strong>{{ email }}</strong></p>
            {% for field in activation_form %}
                {{ macros.render_field(field) }}
            {% endfor %}
            <button type="submit" class="btn btn-primary btn-lg">{% trans %}Send{% endtrans %}</button>
        </form>
    {% endif %}

    {% if order.order_group %}
        {# Render all the grouped orders #}
        {% for grouped_order in order.order_group.group.grouped_orders.all() %}
            <h2>
                {{ _("Order #{} ({})").format(grouped_order.order.pk, grouped_order.order.reference_number) }}
            </h2>

            {{ print_grouped_order_detail(grouped_order.order, True) }}

            {% if not loop.last %}
            <hr class="my-6">
            {% endif %}
        {% endfor %}

    {% else %}
        {# Default render #}
        {{ order_macros.print_order_detail(order, True) }}
    {% endif %}
{% endblock %}
